org.kie.internal.task.api

## Enum TaskVariable.VariableType

- java.lang.Object
- - java.lang.Enum<TaskVariable.VariableType>
  - - org.kie.internal.task.api.TaskVariable.VariableType

- All Implemented Interfaces:
    Serializable, Comparable<TaskVariable.VariableType>
  Enclosing interface:
    TaskVariable

      public static enum TaskVariable.VariableType
      extends Enum<TaskVariable.VariableType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INPUT`
    `OUTPUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskVariable.VariableType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskVariable.VariableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INPUT

          public static final TaskVariable.VariableType INPUT

    - #### OUTPUT

          public static final TaskVariable.VariableType OUTPUT

  - ### Method Detail

    - #### values

          public static TaskVariable.VariableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskVariable.VariableType c : TaskVariable.VariableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskVariable.VariableType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.